org.eclipse.eef.properties.ui.legacy.internal.extension.impl

## Class LegacyPropertyContributorRegistryEventListener

- java.lang.Object
- - org.eclipse.eef.properties.ui.legacy.internal.extension.AbstractRegistryEventListener
  - - org.eclipse.eef.properties.ui.legacy.internal.extension.impl.LegacyPropertyContributorRegistryEventListener

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.core.runtime.IRegistryEventListener

    public class LegacyPropertyContributorRegistryEventListener
    extends AbstractRegistryEventListener

Utility class used to retrieved the descriptors of property contributor extension.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.eef.properties.ui.legacy.internal.extension.AbstractRegistryEventListener

`AbstractRegistryEventListener.Action`

### Field Summary

Fields
`static java.lang.String` `ACTION_PROVIDER_ATTR` Optional actionProvider attribute of extension point.
`static java.lang.String` `CATEGORY_ATTR` Optional category attribute of extension point.
`static java.lang.String` `CONTRIBUTOR_ID_ATTR` Required contributorId attribute of extension point.
`static java.lang.String` `LABEL_PROVIDER_ATTR` Optional labelProvider attribute of extension point.
`static java.lang.String` `OVERRIDABLE_TAB_LIST_CONTENT_PROVIDER_ATTR` Optional overridableTabListContentProvider attribute of extension point.
`static java.lang.String` `SECTION_DESCRIPTOR_PROVIDER_ATTR` Optional sectionDescriptorProvider attribute of extension point.
`static java.lang.String` `TAB_DESCRIPTOR_PROVIDER_ATTR` Optional tabDescriptorProvider attribute of extension point.
`static java.lang.String` `TAG_PROPERTY_CATEGORY` PropertyCategory tag of extension point.
`static java.lang.String` `TAG_PROPERTY_CONTRIBUTOR` PropertyContributor tag of extension point.
`static java.lang.String` `TYPE_MAPPER_ATTR` Optional typeMapper attribute of extension point.

### Constructor Summary

Constructors
Constructor and Description
`LegacyPropertyContributorRegistryEventListener(java.lang.String namespace, java.lang.String extensionPointID, LegacyPropertyContributorRegistry itemRegistry)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `processAddition(org.eclipse.core.runtime.IConfigurationElement configurationElement)` Processes the addition of the given configuration element.
`protected boolean` `processRemoval(org.eclipse.core.runtime.IConfigurationElement configurationElement)` Processes the removal of the given configuration element.
`protected boolean` `validateConfigurationElement(org.eclipse.core.runtime.IConfigurationElement configurationElement)` Validates the given configuration element.

### Methods inherited from class org.eclipse.eef.properties.ui.legacy.internal.extension.AbstractRegistryEventListener

`added, added, readRegistry, removed, removed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TAG_PROPERTY_CONTRIBUTOR

    public static final java.lang.String TAG_PROPERTY_CONTRIBUTOR

PropertyContributor tag of extension point.

See Also:
  Constant Field Values

#### CONTRIBUTOR_ID_ATTR

    public static final java.lang.String CONTRIBUTOR_ID_ATTR

Required contributorId attribute of extension point.

See Also:
  Constant Field Values

#### TYPE_MAPPER_ATTR

    public static final java.lang.String TYPE_MAPPER_ATTR

Optional typeMapper attribute of extension point.

See Also:
  Constant Field Values

#### LABEL_PROVIDER_ATTR

    public static final java.lang.String LABEL_PROVIDER_ATTR

Optional labelProvider attribute of extension point.

See Also:
  Constant Field Values

#### ACTION_PROVIDER_ATTR

    public static final java.lang.String ACTION_PROVIDER_ATTR

Optional actionProvider attribute of extension point.

See Also:
  Constant Field Values

#### SECTION_DESCRIPTOR_PROVIDER_ATTR

    public static final java.lang.String SECTION_DESCRIPTOR_PROVIDER_ATTR

Optional sectionDescriptorProvider attribute of extension point.

See Also:
  Constant Field Values

#### TAB_DESCRIPTOR_PROVIDER_ATTR

    public static final java.lang.String TAB_DESCRIPTOR_PROVIDER_ATTR

Optional tabDescriptorProvider attribute of extension point.

See Also:
  Constant Field Values

#### OVERRIDABLE_TAB_LIST_CONTENT_PROVIDER_ATTR

    public static final java.lang.String OVERRIDABLE_TAB_LIST_CONTENT_PROVIDER_ATTR

Optional overridableTabListContentProvider attribute of extension point.

See Also:
  Constant Field Values

#### TAG_PROPERTY_CATEGORY

    public static final java.lang.String TAG_PROPERTY_CATEGORY

PropertyCategory tag of extension point.

See Also:
  Constant Field Values

#### CATEGORY_ATTR

    public static final java.lang.String CATEGORY_ATTR

Optional category attribute of extension point.

See Also:
  Constant Field Values

### Constructor Detail

#### LegacyPropertyContributorRegistryEventListener

    public LegacyPropertyContributorRegistryEventListener(java.lang.String namespace,
                                                          java.lang.String extensionPointID,
                                                          LegacyPropertyContributorRegistry itemRegistry)

The constructor.

Parameters:
  `namespace` - The namespace of the extension point
  `extensionPointID` - The identifier of the extension point
  `itemRegistry` - The item registry

### Method Detail

#### validateConfigurationElement

    protected boolean validateConfigurationElement(org.eclipse.core.runtime.IConfigurationElement configurationElement)

Validates the given configuration element.

Specified by:
  `validateConfigurationElement` in class `AbstractRegistryEventListener`
Parameters:
  `configurationElement` - The configuration element
Returns:
  `true` if the configuration element is valid, `false` otherwise
See Also:
  `org.eclipse.eef.ide.internal.extensions.AbstractRegistryEventListener#validateConfigurationElement(org.eclipse.core.runtime.IConfigurationElement)`

#### processAddition

    protected boolean processAddition(org.eclipse.core.runtime.IConfigurationElement configurationElement)

Processes the addition of the given configuration element.

Specified by:
  `processAddition` in class `AbstractRegistryEventListener`
Parameters:
  `configurationElement` - The configuration element
Returns:
  `true` if the configuration element has been properly added, `false` otherwise
See Also:
  `org.eclipse.eef.ide.internal.extensions.AbstractRegistryEventListener#processAddition(org.eclipse.core.runtime.IConfigurationElement)`

#### processRemoval

    protected boolean processRemoval(org.eclipse.core.runtime.IConfigurationElement configurationElement)

Processes the removal of the given configuration element.

Specified by:
  `processRemoval` in class `AbstractRegistryEventListener`
Parameters:
  `configurationElement` - The configuration element
Returns:
  `true` if the configuration element has been properly removed, `false` otherwise
See Also:
  `org.eclipse.eef.ide.internal.extensions.AbstractRegistryEventListener#processRemoval(org.eclipse.core.runtime.IConfigurationElement)`